// ファイルリスト管理.
//

FileList = {
    FileListManager : pkg("org.maachang.seabass.httpd.engine.script.FileListManager"),
    // ファイルリストに名前を追加.
    add : function( dir,name ) {
        this.FileListManager.getInstance().addList( dir,name ) ;
    },
    // ファイルリストから除外.
    remove : function( dir,name ) {
        this.FileListManager.getInstance().removeList( dir,name ) ;
    },
    // ファイルリスト一覧を取得.
    get : function( dir ) {
        lst = this.FileListManager.getInstance().getList( dir ) ;
        if( lst != null && lst.length > 0 ) {
            ret = [] ;
            len = lst.length ;
            for( i = 0 ; i < len ; i ++ ) {
                ret.add( lst[ i ] ) ;
            }
            return ret ;
        }
        return [] ;
    }
} ;

