// templateスクリプト.
//

// Templateオブジェクト.
MaachangTemplate = {
    // ファイルからテンプレート実行結果を取得.
    getTemplate : function( name,params ) {
        var data = Template.readTemplateFile( name ) ;
        return Template.executionTemplate( data,params ) ;
    },
    // テンプレートファイルを取得.
    readTemplateFile : function( name ) {
        if( useString( name ) == false ) {
            return null ;
        }
        name = toFullPath( name ) ;
        if( Io.isFileExists( name ) == false ) {
            return null ;
        }
        return Io.readFileByString( name,"UTF8" ) ;
    },
    // 指定テンプレートを実行して処理結果を取得.
    executionTemplate : function( template,params ) {
        var bufName = "maachangTemplateBuf" ;
        var header = "var "+bufName+" = new StrBuf();" ;
        var fooder = "maachangTemplateBuf.toString();";
        var output = "maachangTemplateBuf.append" ;
        var enterTo = "\\n" ;
        template = pkg("org.maachang.seabass.httpd.engine.script.scripts.TemplateScriptAnalysis").analysis(
            enterTo,header,fooder,output,template ) ;
        if( isNull( params ) == false ) {
            putBindings( "template",params ) ;
        }
        template = _eval( template ) ;
        removeBindings( bufName ) ;
        if( isNull( params ) == false ) {
            removeBindings( "template" ) ;
        }
        return template ;
    }
}

// templateオブジェクト(seabass).
SeabassTemplate = MaachangTemplate ;
