// リスト表示用処理.
//

// １度に表示するデータ件数.
#define _VIEW_LENGTH 25

// 検索結果付加文字.
#define _SEARCH_VH <span class=aka>
#define _SEARCH_VF の検索結果</span>

if( !useString( params['_$masterType'] ) || !SearchTag.useResult() ) {
    // パラメータが足らない場合は、エラー403.
    exit( "error403" ) ;
}

// Model情報の取得に失敗.
var tableName = params['_$table'] ;
var model = Models[ tableName ] ;
if( model == null ) {
    // modelが見つからない場合は、エラー403.
    exit( "error403" ) ;
}

// 各パラメータ名を取得.
var offset = 0 ;
if( isNumeric( params['_$off'] ) ) {
    offset = parseInt( params['_$off'] ) * _VIEW_LENGTH ;
}
var onePage = _VIEW_LENGTH ;

// 検索処理.
var time = currentTime() ;
var res = SearchTag.result( onePage,offset ) ;
time = currentTime() - time ;
var countView = res.count ;
var list = res.result ;
var viewTitle = "" ;
if( res.state == "error" ) {
    viewTitle = "検索失敗:" + res.message ;
}
else if( res.state == "all" ) {
    viewTitle = "全件取得が終了しました ... " + time + "ミリ秒" ;
}
else if( res.state == "custom" ) {
    viewTitle = "検索が終了しました ... " + time + "ミリ秒" ;
}

