/**
 * セッションIDが存在する場合、更新して、ユーザ情報を取得する処理.
 * セッションIDは session ユーザ名は、user を設定する.
 * この情報は必須.
 */

// POST以外でアクセスされている場合は、エラー.
if( getHttpMethod() != "POST" ) {
    // エラー403を返す.
    exit( "error403" ) ;
}

setResponseHeader( "Content-Type","text/plain" ) ;
if( useString( params['session'] ) && useString( params['user'] ) ) {
    if( UserManager.update( params['session'],params['user'] ) ) {
        // マスターキャッシュから問い合わせ.
        var res = MasterCache.find( "PersonMaster",{adminNumber:params['user']} ) ;
        if( res != null && res.length > 0 ) {
            httpPrint( encodeJSON( res[0] ) ) ;
            exit() ;
        }
    }
}
httpPrint( _ERROR_ + "ユーザ情報の取得に失敗しました" ) ;
