/**
 * 既存ユーザ再登録.
 */

// ユーザ毎に対するユーザ定義ファイルを読み込む.
seabassDefine( "../../@user" ) ;
if( isNull( super._adminUser ) ) {
    errorLog( "FDユーザファイルは存在しないため、リダイレクトします" ) ;
    redirect( "/~seabass/fd/admin/" ) ;
}

// 指定ユーザが存在しないかチェック.
var target = _adminUser[params['userName']] ;
if( isNull( target ) ) {
    errorLog( "指定ユーザ「" + params['userName'] + "」は存在しないため、編集登録を終了します" ) ;
    redirect( "index" ) ;
}

if( isNull( params['admin'] ) ) {
    params['admin'] = 0 ;
}

target[ 1 ] = params['admin'] ;
target[ 2 ] = params['app'] ;
target[ 3 ] = params['lib'] ;
target[ 4 ] = params['pub'] ;
target[ 5 ] = params['err'] ;
var len = target.length ;
for( var i = 2 ; i < len ; i ++ ) {
    if( !useString( target[i] ) || target[i] == "selected" ) {
        target[i] = "" ;
    }
}

// 定義ファイルに出力.
seabassDefineW( "../../@user",{"_adminUser":_adminUser} ) ;

// セッションのログインユーザと、編集したユーザ情報が同一の場合は、
// 変更内容を、セッション情報内容と置き換える.
if( params['userName'] == sessions[ "_$fd_admin_name" ] ) {
    putSession( "_$fd_admin",target ) ;
}

// リスト画面にリダイレクト.
redirect( "index" ) ;
