package org.maachang.seabass ;

/**
 * MaachangComeサービスt定義.
 *
 * @version 2007/08/26
 * @author  masahito suzuki
 * @since   SeaBass 1.00
 */
public class ServiceDef {
    
    private ServiceDef() {}
    
    /**
     * マネージャ登録名 : HTTPサービス.
     */
    public static final String MANAGER_BY_HTTPD = "HTTPD" ;
    
    /**
     * マネージャ登録名 : コネクションプーリング.
     */
    public static final String MANAGER_BY_DBMS_POOL = "DBMS_POOL" ;
    
    /**
     * マネージャ登録名 : セッション管理.
     */
    public static final String MANAGER_BY_SESSION = "SESSION_MANAGER" ;
    
    /**
     * マネージャ登録名 : スクリプトエンジンファクトリ.
     */
    public static final String MANAGER_BY_WEB_APP_FACTORY = "WEBAPP_FACTORY" ;
    
    /**
     * マネージャ登録名 : コンフィグマネージャ.
     */
    public static final String MANAGER_BY_CONFIG = "CONFIG_MANAGER" ;
    
    /**
     * マネージャ登録名 : Seabass32コンフィグ..
     */
    public static final String MANAGER_BY_SEABASS32 = "MANAGER_BY_SEABASS32" ;
    
    /**
     * マネージャ登録名 : MimeTypeコンフィグ.
     */
    public static final String MANAGER_BY_MIME_TYPE = "MIME_TYPE" ;
    
    /**
     * マネージャ登録名 : Mailコンフィグ.
     */
    public static final String MANAGER_BY_MAIL_CONFIG = "MAIL_CONFIG" ;
    
    /**
     * マネージャ登録名 : Authマネージャ.
     */
    public static final String MANAGER_BY_AUTH = "AUTH_MANAGER" ;
    
    /**
     * マネージャ登録名 : ユーザマネージャ.
     */
    public static final String MANAGER_BY_USERS = "USERS_MANAGER" ;
    
    /**
     * マネージャ登録名 : エラーページマネージャ.
     */
    public static final String MANAGER_BY_ERROR_PAGE = "ERROR_PAGE_MANAGER" ;
    
    /**
     * マネージャ登録名 : 公開ページマネージャ.
     */
    public static final String MANAGER_BY_PUBLIC_PAGE = "PUBLIC_PAGE_MANAGER" ;
    
    /**
     * マネージャ登録名 : アプリケーションページマネージャ.
     */
    public static final String MANAGER_BY_APPLICATON_PAGE = "APPLICATION_PAGE_MANAGER" ;
    
    /**
     * マネージャ登録名 : コメットマネージャ.
     */
    public static final String MANAGER_BY_COMET = "COMET_MANAGER" ;
    
    /**
     * マネージャ登録名 : デフォルトパッケージマネージャ
     */
    public static final String MANAGER_BY_PACKAGES = "PACKAGES_MANAGER" ;
    
    /**
     * マネージャ登録名 : DaoFactory.
     */
    public static final String DAO_FACTORY = "DAO_FACTORY" ;
    
    /**
     * マネージャ登録名 : ScriptCacheManager.
     */
    public static final String SCRIPT_CACHE_MANAGER = "SCRIPT_CACHE_MANAGER" ;
    
    /**
     * マネージャ登録名 : Cronマネージャ.
     */
    public static final String CRON_TAB_MANAGER = "CRON_TAB_MANAGR" ;
    
    /**
     * マネージャ登録名 : マスターDBキャッシュ.
     */
    public static final String MASTER_DB_CACHE_MANAGER = "MASTER_DB_CACHE_MANAGER" ;
    
    /**
     * マネージャ登録名 : 共有メモリ.
     */
    public static final String SHARED_MEMORY_MANAGER = "SHARED_MEMORY_MANAGER" ;
    
    /**
     * マネージャ登録名 : 全体ロックオブジェクト.
     */
    public static final String SCRIPT_SYSTEM_LOCK = "SYSTEM_LOCK_MANAGER" ;
    
    /**
     * マネージャ登録名 : ロック管理オブジェクト.
     */
    public static final String SCRIPT_LOCK_MANAGER = "LOCK_MANAGER" ;
    
    /**
     * マネージャ登録名 : IO-Filter管理オブジェクト.
     */
    public static final String IO_FILTER_MANAGER = "IO_FILTER_MANAGER" ;
    
    /**
     * マネージャ登録名 : Validateキャッシュ管理オブジェクト.
     */
    public static final String VALIDATE_CACHE_MANAGER = "VALIDATE_CACHE_MANAGER" ;
    
    
}
