package org.maachang.seabass.httpd.engine.script.doc ;

/**
 * SeaBassドキュメント[Base]インターフェイス.
 * 
 * @version 2009/01/22
 * @author masahito suzuki
 * @since SeaBass 1.0.0
 */
public interface SeaBassDocBase {
    /**
     * 名前を設定.
     * @param name 名前を設定します.
     */
    public void setName( String name ) ;
    
    /**
     * 名前を取得.
     * @return String 名前が返されます.
     */
    public String getName() ;
    
    /**
     * 説明情報を設定.
     * @param info 説明情報を設定します.
     */
    public void setInfo( String info ) ;
    
    /**
     * 説明情報を取得.
     * @return String 説明情報が返されます.
     */
    public String getInfo() ;
}
