package org.maachang.seabass.httpd.engine.session ;

import org.maachang.seabass.dbm.BdbService;
import org.maachang.seabass.session.client.local.PSessionLocalDriver;

/**
 * セッションサービス.
 *
 * @version 2008/05/26
 * @author  masahito suzuki
 * @since   SeaBass 1.1A
 */
public class SessionService {    
    /**
     * セッションマネージャを生成.
     * @exception Exception 例外.
     */
    public static final HttpdSessionManager init() throws Exception {
        return new HttpdSessionManager(
            PSessionLocalDriver.getConnection( BdbService.getInstance().get() ) ) ;
    }
    
    /**
     * セッションマネージャを破棄.
     * @exception Exception 例外.
     */
    public static final void destroy()
        throws Exception {
    }
    
}

