package org.maachang.seabass.startjava ;

/**
 * Javaプログラム開始処理.
 * 
 * @version 2009/12/17
 * @author masahito suzuki
 * @since SeaBass 1.0.0
 */
public interface StartupJava {
    
    /**
     * 実行サービス名を取得.
     * @return String 実行サービス名が返されます.
     */
    public String getName() ;
    
    /**
     * 開始処理.
     * @exception Exception 例外.
     */
    public void startup() throws Exception ;
    
    /**
     * 終了処理.
     * @exception Exception 例外.
     */
    public void destroy() throws Exception ;
    
}

