package org.maachang ;

/**
 * EasyDate.
 * 
 * @version 2008/12/01
 * @author masahito suzuki
 * @since Maachang 1.00
 */
public class EasyDate extends java.util.Date {
    public EasyDate() {
        super() ;
    }
    public EasyDate(java.util.Date date ) {
        super( (date==null)?System.currentTimeMillis():date.getTime() ) ;
    }
    public EasyDate(int year, int month, int date) {
        super( year-1900,month-1,date ) ;
    }
    public EasyDate(int year, int month, int date, int hrs, int min) {
        super( year-1900,month-1,date,hrs,min ) ;
    }
    public EasyDate(int year, int month, int date, int hrs, int min, int sec) {
        super( year-1900,month-1,date,hrs,min,sec ) ;
    }
    public EasyDate(long date) {
        super( date ) ;
    }
    public EasyDate(String s) {
        super( s ) ;
    }
    public int getFullYear() {
        return super.getYear() + 1900 ;
    }
    public void setFullYear( int year ) {
        super.setYear( year + 1900 ) ;
    }
    public int getMonth() {
        return super.getMonth()+1 ;
    }
    public void setMonth(int month) {
        super.setMonth( month-1 ) ;
    }
}
