package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * changeString(str,src,dest)
 */
public class changeString extends PnutsFunction {

    public changeString(){
        super("changeString");
    }

    public boolean defined(int narg){
        return (narg == 3);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length != 3  ) {
            throw new PnutsException( "引数が足りません",context ) ;
        }
        if( args[ 0 ] == null || (args[ 0 ] instanceof String) == false ||
            args[ 1 ] == null || 
            args[ 2 ] == null ) {
            throw new PnutsException( "引数は文字列(String)で指定してください",context ) ;
        }
        return ModUtil.changeString( (String)args[ 0 ],ModUtil.parseString( args[ 1 ] ),ModUtil.parseString( args[ 2 ] ) ) ;
    }

    public String toString(){
        return "changeString(str,src,dest)";
    }
}
