package org.maachang.seabass.mod.base ;

import java.io.* ;
import pnuts.compiler.*;
import pnuts.lang.*;
import org.maachang.*;

/*
 * compile(string)
 */
public class compile extends PnutsFunction {
    public compile(){
        super("compile");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            throw new PnutsException( "実行対象スクリプトは指定されていません",context ) ;
        }
        if( args[ 0 ] == null || (args[ 0 ] instanceof String) == false ) {
            throw new PnutsException( "実行対象スクリプトは指定されていません",context ) ;
        }
        String script = (String)args[ 0 ] ;
        if( script == null ) {
            throw new PnutsException( "実行対象スクリプトは指定されていません",context ) ;
        }
        if( script.length() <= 0 ) {
            return "" ;
        }
        return ModUtil.compile( context,context.getCurrentScriptName()+"@eval",script ) ;
    }

    public String toString(){
        return "function compile(string)";
    }
}
