package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * decodeJSON(string)
 */
public class decodeJSON extends PnutsFunction {

    public decodeJSON(){
        super("decodeJSON");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            throw new PnutsException( "文字情報を指定してください",context ) ;
        }
        if( args[ 0 ] == null || ( args[ 0 ] instanceof String ) == false ) {
            throw new PnutsException( "文字情報を指定してください",context ) ;
        }
        return Json.decodeJSON( context,(String)args[ 0 ] ) ;
    }

    public String toString(){
        return "function decodeJSON(string)";
    }
}
