package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * deepCopy(object)
 */
public class deepCopy extends PnutsFunction {

    public deepCopy(){
        super("deepCopy");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return null ;
        }
        if( args[ 0 ] != null ) {
            try {
                return ModUtil.deepCopy( args[ 0 ] ) ;
            } catch( Exception e ) {
                throw new PnutsException( e,context ) ;
            }
        }
        return null ;
    }

    public String toString(){
        return "function deepCopy(object)";
    }
}
