package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * encodeBase64(byte[])
 */
public class encodeBase64 extends PnutsFunction {

    public encodeBase64(){
        super("encodeBase64");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            throw new PnutsException( "バイナリ情報を指定してください",context ) ;
        }
        if( args[ 0 ] == null || ( args[ 0 ] instanceof byte[] ) == false ) {
            throw new PnutsException( "バイナリ情報を指定してください",context ) ;
        }
        return ModUtil.encodeBase64( ( byte[] )args[ 0 ] ) ;
    }

    public String toString(){
        return "function encodeBase64(byte[])";
    }
}
