package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * exception(Exception)
 */
public class exception extends PnutsFunction {

    public exception(){
        super("exception");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context) {
        if( args == null || args.length <= 0 ) {
            return null ;
        }
        if( args[0] instanceof RuntimeException ) {
            throw (RuntimeException)args[0] ;
        }
        if( args[0] instanceof Throwable ) {
            throw new RuntimeException( (Throwable)args[0] ) ;
        }
        return null ;
    }

    public String toString(){
        return "function exception(Exception)";
    }
}
