package org.maachang.seabass.mod.base ;

import java.util.*;
import java.lang.reflect.* ;
import pnuts.lang.*;
import org.maachang.*;
import org.maachang.seabass.mod.object.* ;

/*
 * useString(object)
 */
public class isEmpty extends PnutsFunction {

    public isEmpty(){
        super("isEmpty");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return Boolean.TRUE ;
        }
        Object o = args[ 0 ] ;
        if( o == null ) {
            return Boolean.TRUE ;
        }
        else if( o instanceof JSAdapter ) {
            return Boolean.FALSE ;
        }
        else if( o instanceof Map ) {
            return ( ( Map )o ).isEmpty() ? Boolean.TRUE : Boolean.FALSE ;
        }
        else if( o instanceof List ) {
            return ( ( List )o ).size() <= 0 ? Boolean.TRUE : Boolean.FALSE ;
        }
        else if( o instanceof String ) {
            return ModUtil.useString( (String)o ) ? Boolean.FALSE : Boolean.TRUE ;
        }
        else if( o.getClass().isArray() ) {
            return Array.getLength( o ) <= 0 ? Boolean.TRUE : Boolean.FALSE ;
        }
        return Boolean.FALSE ;
    }

    public String toString(){
        return "function isEmpty(object)";
    }
}
