package org.maachang.seabass.mod.base ;

import pnuts.compiler.*;
import pnuts.lang.*;
import org.pnuts.util.*;

import org.maachang.*;
import org.maachang.seabass.*;

/*
 * pkg(string)
 */
public class pkg extends PnutsFunction {
    
    private static final Class NON_CLZ = Object.class ;
    
    public pkg(){
        super("pkg");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return NON_CLZ ;
        }
        if( args[ 0 ] == null || (args[ 0 ] instanceof String) == false ) {
            return NON_CLZ ;
        }
        try {
            return SearchJavaInfo.getClass( (String)args[ 0 ] ) ;
        } catch( Exception e ) {
            throw new PnutsException( e,context ) ;
        }
    }

    public String toString(){
        return "function pkg(string)";
    }
}
