package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * sleep(object)
 */
public class sleep extends PnutsFunction {

    public sleep(){
        super("sleep");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return null ;
        }
        try {
            Thread.sleep( ( ( Integer )ModUtil.parseInt( args[ 0 ] ) ).intValue() ) ;
        } catch( InterruptedException ie ) {
        } catch( Exception e ) {
            throw new PnutsException( e,context ) ;
        }
        return null ;
    }

    public String toString(){
        return "function sleep(number)";
    }
}
