package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * throwTo(Exception)
 */
public class throwTo extends PnutsFunction {

    public throwTo(){
        super("throwTo");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context) {
        if( args == null || args.length <= 0 ) {
            return null ;
        }
        if( args[0] instanceof Throwable ) {
            Throwable t = (Throwable)args[ 0 ] ;
            if( t instanceof PnutsException ) {
                Throwable tt = ((PnutsException)t).getThrowable() ;
                if( tt instanceof PnutsException ) {
                    throw (PnutsException)tt ;
                }
                else {
                    throw (PnutsException)t ;
                }
            }
            else {
                throw new PnutsException( t,context ) ;
            }
        }
        return null ;
    }

    public String toString(){
        return "function throwTo(Exception)";
    }
}
