package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * trim(string)
 */
public class trim extends PnutsFunction {

    public trim(){
        super("trim");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return null ;
        }
        if( args[ 0 ] != null ) {
            return ModUtil.trimString( ModUtil.parseString( args[ 0 ] ) ) ;
        }
        return args[ 0 ] ;
    }

    public String toString(){
        return "function trim(string)";
    }
}
