package org.maachang.seabass.mod.create ;

import java.util.*;
import pnuts.lang.*;
import org.maachang.seabass.mod.object.* ;

/*
 * createJSAdapter(map)
 */
public class createJSAdapter extends PnutsFunction {

    public createJSAdapter(){
        super("createJSAdapter");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            throw new PnutsException( "引数が足りません",context ) ;
        } else if( !(args[ 0 ] instanceof Map ) ) {
            throw new PnutsException( "Map条件ではありません",context ) ;
        }
        return new JSAdapter( ( Map )args[ 0 ] ) ;
    }

    public String toString(){
        return "function createJSAdapter(map)";
    }
}
