package org.maachang.seabass.mod.create ;

import pnuts.lang.*;
import org.maachang.seabass.mod.object.* ;

/*
 * createStrBuf(string)
 */
public class createStrBuf extends PnutsFunction {

    public createStrBuf(){
        super("createStrBuf");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return new StrBuf() ;
        }
        if( args[ 0 ] != null && args[ 0 ] instanceof String ) {
            return new StrBuf( ( String )args[ 0 ] ) ;
        }
        return new StrBuf() ;
    }

    public String toString(){
        return "function createStrBuf(string)";
    }
}
