package org.maachang.seabass.mod.object ;

import org.maachang.seabass.mod.util.* ;

/**
 * 文字連結用.
 */
public class StrBuf {
    private FStrBuf _buf = null ;
    public StrBuf() {
        clear() ;
    }
    public StrBuf(Object o) {
        clear(o) ;
    }
    public StrBuf clear() {
        _buf = FStrBufFactory.get() ;
        return this ;
    }
    public StrBuf clear(Object o) {
        _buf = FStrBufFactory.get() ;
        if( o == null ) {
            return this ;
        }
        _buf.add( o ) ;
        return this ;
    }
    public StrBuf append( Object o ) {
        if( o == null ) {
            return this ;
        }
        _buf.add( o ) ;
        return this ;
    }
    public StrBuf ad( Object o ) {
        if( o == null ) {
            return this ;
        }
        _buf.add( o ) ;
        return this ;
    }
    public String toString() {
        return _buf.toString() ;
    }
    public String ts() {
        return _buf.toString() ;
    }
    public int length() {
        return _buf.length() ;
    }
}
