// mttml(maachang-template-html)入力処理.
//

// mttmlオブジェクト.
MTtml = {
    // テンプレートMHTML追加.
    put : function( path,value ) {
        if( useString( path ) == false || isNull( value ) ) {
            return -1 ;
        }
        create_base_model() ;
        if( script_model().isCreate() == false ) {
            return -1 ;
        }
        var dbm = new Dbm() ;
        dbm.create( "MTtml" ) ;
        if( isNull( dbm ) ) {
            return -1 ;
        }
        var key = pkg("org.maachang.seabass.httpd.engine.script.scripts.TemplateScript").getBaseKey( path ) ;
        var update = pkg("org.maachang.seabass.httpd.engine.script.scripts.TemplateScript").getUpdateKey( path ) ;
        var time = currentTime();
        dbm.put( key,value ) ;
        dbm.put( update,pkg("org.maachang.util.ConvertParam").convertLong( time ) ) ;
        return 0 ;
    },
    // テンプレートMHTML削除.
    remove : function( path ) {
        if( useString( path ) == false ) {
            return -1 ;
        }
        create_base_model() ;
        if( script_model().isCreate() == false ) {
            return -1 ;
        }
        var dbm = new Dbm() ;
        dbm.create( "MTtml" ) ;
        if( isNull( dbm ) ) {
            return -1 ;
        }
        dbm.remove( pkg("org.maachang.seabass.httpd.engine.script.scripts.TemplateScript").getBaseKey( path ) ) ;
        dbm.remove( pkg("org.maachang.seabass.httpd.engine.script.scripts.TemplateScript").getUpdateKey( path ) ) ;
        return 0 ;
    },
    // テンプレート情報を取得.
    get : function( path ) {
        if( useString( path ) == false ) {
            return -1 ;
        }
        create_base_model() ;
        if( script_model().isCreate() == false ) {
            return -1 ;
        }
        var dbm = new Dbm() ;
        dbm.create( "MTtml" ) ;
        if( isNull( dbm ) ) {
            return -1 ;
        }
        return dbm.get( pkg("org.maachang.seabass.httpd.engine.script.scripts.TemplateScript").getBaseKey( path ) ) ;
    },
    // 指定MTTMLにforward.
    forward : function(name) {
        if( isNull( name ) ) {
            return -1 ;
        }
        if( isResponse() ) {
            if( getHttpdResponse().isOutputStream() == true ) {
                _exit( "forward" ) ;
            }
            if( endsWith( name,".ms" ) == true ||  endsWith( name,".mhtml" ) == true ) {
                return -1 ;
            }
            if( endsWith( name,".mttml" ) == false ) {
                name += ".mttml" ;
            }
            var factory = _$$seabass_manager.get( "WEBAPP_FACTORY" ) ;
            if( factory.isApplication( name ) == false ) {
                _exit( "error404" ) ;
            }
            var exec = factory.getApplication( name ) ;
            exec.getScript().eval( context ) ;
            _exit( "forward" ) ;
        }
    }
}

