/**
 * セッションIDを削除する.
 * セッションIDは session ユーザ名は、user.
 * この情報は必須.
 */

// POST以外でアクセスされている場合は、エラー.
if( getHttpMethod() != "POST" ) {
    // エラー403を返す.
    exit( "error403" ) ;
}

setResponseHeader( "Content-Type","text/plain" ) ;
if( useString( params['session'] ) && useString( params['user'] ) ) {
    var bean = UserManager.get( params['session'] ) ;
    if( bean != null && bean.getUserName() == params['user'] ) {
        UserManager.remove( params['session'] ) ;
        httpPrint( "true" ) ;
    }
    else {
        httpPrint( "false" ) ;
    }
}
else {
    httpPrint( _ERROR_ + "セッション削除処理に失敗しました" ) ;
}
