/**
 * セッションIDが存在する場合、更新する処理.
 * セッションIDは session ユーザ名は、user を設定する.
 * この情報は必須.
 */

// POST以外でアクセスされている場合は、エラー.
if( getHttpMethod() != "POST" ) {
    // エラー403を返す.
    exit( "error403" ) ;
}

setResponseHeader( "Content-Type","text/plain" ) ;
if( useString( params['session'] ) && useString( params['user'] ) ) {
    var ret = UserManager.update( params['session'],params['user'] ) ;
    httpPrint( ret ) ;
}
else {
    httpPrint( _ERROR_ + "セッションID更新に失敗しました" ) ;
}
