// seabass32暗号処理でアクセスされていない場合.
if( !isSeabass32() ) {
    // エラー403を返す.
    exit( "error403" ) ;
}

// validateチェック処理.
if( VTag.validate( "/~seabass/fd/admin/index.mhtml" ) ) {
    seabass32Error() ;
}

// ユーザ定義ファイルを読み込み.
seabassDefine( "user" ) ;

// 入力ユーザ名確認.
var userInfo = _adminUser[ params['userName'] ] ;
if( userInfo == null || (Digest.sha1( params['passwd'] ) + "_" + params['passwd'].length) != userInfo[0] ) {
    // 指定ユーザ名が存在しないか、パスワードが不正.
    seabass32Error( "ユーザ名・パスワードが一致しません" ) ;
}

// ログインが成功した場合、セッション[_$fd_admin]に対して登録.
putSession( "_$fd_admin",userInfo ) ;
putSession( "_$fd_admin_name",params['userName'] ) ;

// ファイラログイン認証OK.
seabass32Success() ;

