/**
 * 指定ユーザのパスワード情報を編集する.
 */

// パラメータが存在しない場合は、indexにリダイレクト.
if( !useString( params['name'] ) ) {
    errorLog( "ユーザパスワード変更に対して、編集対象のユーザ名が指定されていません" ) ;
    redirect( "index" ) ;
}

// ユーザ毎に対するユーザ定義ファイルを読み込む.
seabassDefine( "../../@user" ) ;
if( isNull( super._adminUser ) ) {
    errorLog( "FDユーザファイルは存在しないため、リダイレクトします" ) ;
    redirect( "/~seabass/fd/admin/" ) ;
}

// 指定ユーザが存在しない場合.
var nowUser = _adminUser[params['name']] ;
if( isNull( nowUser ) ) {
    errorLog( "ユーザパスワード変更に対して、対象のユーザ名は存在しません" ) ;
    redirect( "index" ) ;
}

// パラメータを割り当て.
params['userName'] = params['name'] ;
