/**
 * 指定ユーザ情報を削除する.
 */

// パラメータが存在しない場合は、indexにリダイレクト.
if( !useString( params['name'] ) ) {
    errorLog( "ユーザ削除に対して、削除対象のユーザ名が指定されていません" ) ;
    redirect( "index" ) ;
}

// ユーザ毎に対するユーザ定義ファイルを読み込む.
seabassDefine( "../../@user" ) ;
if( isNull( super._adminUser ) ) {
    errorLog( "FDユーザファイルは存在しないため、リダイレクトします" ) ;
    redirect( "/~seabass/fd/admin/" ) ;
}

// 指定ユーザが存在しない場合.
if( isNull( _adminUser[params['name']] ) ) {
    errorLog( "ユーザ削除に対して、削除対象のユーザ名は存在しません" ) ;
    redirect( "index" ) ;
}

// 削除して保存.
_adminUser.remove( params['name'] ) ;

// 定義ファイルに出力.
seabassDefineW( "../../@user",{"_adminUser":_adminUser} ) ;

// リスト画面にリダイレクト.
redirect( "index" ) ;

