// アクセス解析用プログラム
//

#define OUT_DIR "./application/_access/analysisCsv/"

// アクセス解析用ロックを取得／生成.
var sync= _$$seabass_manager.get( "ACCESS_ANALYSIS_LOCK" ) ;
if( sync == null ) {
    sync= new java.util.concurrent.locks.ReentrantLock() ;
    _$$seabass_manager.put( "ACCESS_ANALYSIS_LOCK",sync) ;
}

// 現在時刻情報を取得.
var viewDate = parseFormatDate( "yyyy/MM/dd,HH:mm:ss",new Date() ) ;

// ログ出力用情報を取得.
var accessHtml = getRequestHeader( "Referer",0 ) ;
// リファラーが存在しない場合は処理しない.
if( !useString( accessHtml ) ) {
    setContentType( "text/javascript" ) ;
    httpPrint( "// success.." ) ;
    httpFlush() ;
    exit() ;
}
// パラメータ整理.
var pms = new StrBuf() ;
var name = "" ;
for( var k in params ) {
    if( k == "name" ) {
        name = params[k] ;
    }
}
for( var k in params ) {
    if( k == "ref" ) {
        pms.ad( ",\"" ).ad( params[k] ).ad( "\"" ) ;
    }
}
var lst = [] ;
for( var k in params ) {
    if( k == "name" || k == "ref" ) {
        continue ;
    }
    lst.add( k ) ;
}
sortList( lst ) ;
var len = lst.length ;
for( var i = 0 ; i < len ; i ++ ) {
    var k = lst[ i ] ;
    pms.ad( "," ).ad( k ).ad( ",\"" ).ad( params[k] ).ad( "\"" ) ;
}
lst = null ;
pms = pms.ts() ;
var buf = new StrBuf() ;
buf.ad( viewDate ).ad( "," ).ad( "\"" ).ad( name ).ad( "\"," ).
    ad( "\"" ).ad( accessHtml ).ad( "\"" ).ad( pms ).ad( "\n" ) ;

// ログ出力用ファイルを取得して、書き込み処理.
var targetDate = parseFormatDate("yyyyMMdd",new Date()) ;
var fileName = targetDate + "Log.csv" ;

sync.lock() ;
try {
    var n = _$$seabass_manager.get( "ACCESS_ANALYSIS_DATE" ) ;
    var f = _$$seabass_manager.get( "ACCESS_ANALYSIS_FILE" ) ;
    if( f == null || n != targetDate ) {
        if( f != null ) {
            f.flush() ;
            f.close() ;
        }
        if( !Io.isDirExists( OUT_DIR ) ) {
            Io.mkdir( OUT_DIR ) ;
        }
        f = new java.io.BufferedWriter( new java.io.OutputStreamWriter(
            new java.io.FileOutputStream( OUT_DIR + fileName  ),"Windows-31j" ) ) ;
        _$$seabass_manager.put( "ACCESS_ANALYSIS_FILE",f ) ;
        _$$seabass_manager.put( "ACCESS_ANALYSIS_DATE",targetDate ) ;
        // 新規作成の場合は、ヘッダセット.
        f.write( "日付,時間,名前,元URL,リファラー,その他\n".toCharArray() ) ;
    }
    f.write( buf.ts().toCharArray() ) ;
    f.flush() ;
    buf = null ;
} catch( Exception e ) {
    errorLog( "error",e ) ;
} finally {
    sync.unlock() ;
}

setContentType( "text/javascript" ) ;
httpPrint( "// success." ) ;
httpFlush() ;
exit() ;
