////////////////////////////////////////////////////////////////////////////////
// Q and A 用Javascript.
// 2009.06.14 masahito suzuki.
// qa.jsを呼び出す場合には、bodyタグには<body style="display:none">として、
// bodyタグを非表示にする.
////////////////////////////////////////////////////////////////////////////////

QA = {
    _qamap : {},
    // 初期化処理.
    init : function() {
        var em = (document.getElementsByTagName("*") || document.all);
        if( typeof( em ) != "undefined" && em != null ) {
            var len = em.length ;
            var s = null ;
            var p = 0 ;
            var pp = 0 ;
            var buf = null ;
            var ch = null ;
            var qid = null ;
            var sm = null ;
            var m = {} ;
            for( var i = 0 ; i < len ; i ++ ) {
                sm = null ;
                if( em[ i ].tagName.toUpperCase() != "SPAN" ) {
                    continue ;
                }
                s = em[ i ].innerHTML ;
                var sm = s.toLowerCase() ;
                p = sm.indexOf( "@view@" ) ;
                if( p <= -1 ) {
                    continue ;
                }
                pp = sm.indexOf( "@end@",p ) ;
                if( pp <= -1 ) {
                    continue ;
                }
                p += 6 ;
                ch = s.substring( p,pp ) ;
                pp += 5 ;
                buf = s.substring( pp ) ;
                qid = "Qa_" + i + "_Id" ;
                QA._qamap[qid] = "<br>"+buf ;
                m["<a href='javascript:QA.view(\""+qid+"\")'>" + ch + "</a><span id='"+qid+"'></span>"] = em[i] ;
            }
            for( k in m ) {
                m[k].innerHTML = k ;
            }
            // bodyを再表示可能にする.
            document.body.style.display="block" ;
        }
    },
    // QandA表示用.
    view : function( id ) {
        var x = document.getElementById( id ).innerHTML ;
        if( typeof( x ) != "undefined" && x != null && x.length > 0 ) {
            document.getElementById( id ).innerHTML = "" ;
        }
        else {
            document.getElementById( id ).innerHTML = QA._qamap[id] ;
        }
    }
}

// 開始イベント登録.
if(window.attachEvent) {
    //ie
    window.attachEvent("onload", QA.init);
} else if(window.addEventListener) {
    //firefox..etc.
    window.addEventListener("load", QA.init, true);
}

