package org.maachang.seabass;

import java.io.FileOutputStream;

import org.maachang.util.FileUtil;

/**
 * file/directory生成
 * 
 * @version 2007/12/16
 * @author masahito suzuki
 * @since SeaBass 1.0.0
 */
public class NewFile {
    public static final void main( String[] args ) throws Exception {
        if( args == null || args.length <= 0 ) {
            System.out.println( "ファイル名を設定してください" ) ;
        }
        String name = args[ 0 ] ;
        String mode = "f" ;
        if( args.length >= 2 ) {
            mode = args[ 1 ] ;
            if( mode.length() <= 0 ) {
                mode = "f" ;
            }
            else {
                mode = mode.substring( 0,1 ).toLowerCase() ;
            }
        }
        int type = 0 ;
        if( "d".equals( mode ) ) {
            type = 1 ;
        }
        if( type == 0 ) {
            if( !FileUtil.isFileExists( name ) && !FileUtil.isDirExists( name ) ) {
                // 空のファイルを生成.
                FileOutputStream out = new FileOutputStream( name ) ;
                out.close() ;
            }
        }
        else {
            if( !FileUtil.isFileExists( name ) && !FileUtil.isDirExists( name ) ) {
                // ディレクトリを生成.
                FileUtil.mkdirs( name ) ;
            }
        }
    }
}
