package org.maachang.seabass.net.nio ;

/**
 * Threadプライオリティ定義.
 * 
 * @version 2009/08/31
 * @author  masahito suzuki
 * @since   SeaBass 1.0.0
 */
abstract class PriorityDef {
    private PriorityDef(){}
    
    /** コンテンツ実行スレッド **/
    protected static final int POOL_THREAD = 5 ;
    
    /** TCP送受信用スレッド **/
    protected static final int TCP_THREAD = 10 ;
    
    /** TCP-Accept用スレッド **/
    protected static final int TCP_ACCEPT_THREAD = 8 ;
    
    /** SSL送受信用スレッド **/
    protected static final int SSL_THREAD = 10 ;
    
    /** SSL-Accept用スレッド **/
    protected static final int SSL_ACCEPT_THREAD = 8 ;
    
}

