package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

import java.util.* ;

/*
 * copy(object)
 */
public class copy extends PnutsFunction {

    public copy(){
        super("copy");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return null ;
        }
        if( args[ 0 ] != null ) {
            Object o = args[ 0 ] ;
            try {
                if( o instanceof List ) {
                    List ret = new ArrayList() ;
                    List cp = ( List )o ;
                    int len = cp.size() ;
                    for( int i = 0 ; i < len ; i ++ ) {
                        ret.add( cp.get( i ) ) ;
                    }
                    return ret ;
                }
                else if( o instanceof Map ) {
                    Map ret = new HashMap() ;
                    Map cp = ( Map )o ;
                    Iterator it = cp.keySet().iterator() ;
                    Object s ;
                    while( it.hasNext() ) {
                        s = it.next() ;
                        ret.put( s,cp.get( s ) ) ;
                    }
                    return ret ;
                }
                return o ;
            } catch( Exception e ) {
                throw new PnutsException( e,context ) ;
            }
        }
        return null ;
    }

    public String toString(){
        return "function copy(object)";
    }
}
