package org.maachang.seabass.mod.base ;

import java.util.*;
import pnuts.lang.*;
import org.maachang.*;

/*
 * cutString(string,string)
 */
public class cutString extends PnutsFunction {

    public cutString(){
        super("cutString");
    }

    public boolean defined(int narg){
        return (narg == 2);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 1 ||
            args[ 0 ] == null || ( args[ 0 ] instanceof String ) == false ||
            args[ 1 ] == null ) {
            throw new IllegalArgumentException( "引数は不正です" ) ;
        }
        ArrayList<String> lst = new ArrayList<String>() ;
        ModUtil.cutString( lst,false,(String)args[0],ModUtil.parseString( args[1] ) ) ;
        return lst.toArray() ;
    }

    public String toString(){
        return "function cutString(string,string)";
    }
}
