package org.maachang.seabass.mod.base ;

import java.text.*;
import pnuts.lang.*;
import org.maachang.*;

/*
 * dateFormat(string,date)
 */
public class dateFormat extends PnutsFunction {

    public dateFormat(){
        super("dateFormat");
    }

    public boolean defined(int narg){
        return (narg == 2);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length != 2 ) {
            throw new PnutsException( "引数が足りません",context ) ;
        }
        if( args[ 0 ] == null || (args[ 0 ] instanceof String) == false ||
            args[ 1 ] == null ) {
            throw new PnutsException( "第一引数は文字列(String)、第二引数はDateオブジェクトで指定してください",context ) ;
        }
        if( ( args[ 1 ] instanceof java.util.Date ) == false ) {
            args[ 1 ] = ModUtil.parseValue( args[ 1 ] ) ;
        }
        if( ( args[ 1 ] instanceof java.util.Date ) == false ) {
            throw new PnutsException( "第一引数は文字列(String)、第二引数はDateオブジェクトで指定してください",context ) ;
        }
        return ModUtil.getDateFormat( (String)args[0] ).format( ( java.util.Date )args[ 1 ] ) ;
    }

    public String toString(){
        return "function dateFormat(string,date)";
    }
}
