package org.maachang.seabass.mod.base ;

import pnuts.compiler.*;
import pnuts.lang.*;

import org.maachang.*;
import org.maachang.seabass.*;

/*
 * exit(string)
 */
public class exit extends PnutsFunction {
    
    public exit(){
        super("exit");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 || args[ 0 ] == null ) {
            throw new ExitSeaBass() ;
        }
        String code = (String)args[ 0 ] ;
        if( code == null || code.length() <= 0 ) {
            throw new ExitSeaBass() ;
        }
        throw new ExitSeaBass( code ) ;
    }

    public String toString(){
        return "function exit(string)";
    }
}
