package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * isNull(object)
 */
public class isNull extends PnutsFunction {

    public isNull(){
        super("isNull");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return Boolean.TRUE ;
        }
        return ( args[ 0 ] == null ) ? Boolean.TRUE : Boolean.FALSE ;
    }

    public String toString(){
        return "function isNull(object)";
    }
}
