package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;
import org.maachang.reflect.*;

/*
 * newInstance(string)
 */
public class newInstance extends PnutsFunction {

    public newInstance(){
        super("newInstance");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        int len ;
        if( args == null || ( len = args.length ) <= 0 ) {
            throw new IllegalArgumentException( "パラメータが足りません" ) ;
        }
        if( args[ 0 ] == null ) {
            throw new IllegalArgumentException( "パラメータが足りません" ) ;
        }
        String clazz = ( String )args[ 0 ] ;
        try {
            if( len == 1 ) {
                return FastReflect.newInstance( clazz ) ;
            }
            else {
                len -- ;
                Object[] pms = new Object[ len ] ;
                System.arraycopy( args,1,pms,0,len ) ;
                return FastReflect.newInstance( clazz,pms ) ;
            }
        } catch( Exception e ) {
            throw new PnutsException( e,context ) ;
        }
    }

    public String toString(){
        return "function newInstance(className,param1,param2, ... )";
    }
}
