package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * objectCode(object)
 */
public class objectCode extends PnutsFunction {

    public objectCode(){
        super("objectCode");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 || args[ 0 ] == null ) {
            return "0x0" ;
        }
        return "0x" +Integer.toHexString( args[ 0 ].hashCode() ) ;
    }

    public String toString(){
        return "function objectCode(object)";
    }
}
