package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * parseNumber(object)
 */
public class parseNumber extends PnutsFunction {

    public parseNumber(){
        super("parseNumber");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            throw new PnutsException( "指定条件が不正です",context ) ;
        }
        try {
            return ModUtil.parseNumber( args[ 0 ] ) ;
        } catch( Exception e ) {
            throw new PnutsException( e,context ) ;
        }
    }

    public String toString(){
        return "function parseNumber(object)";
    }
}
