package org.maachang.seabass.mod.base ;

import java.text.*;
import pnuts.lang.*;
import org.maachang.*;

/*
 * parseNumberFormat(string,string)
 */
public class parseNumberFormat extends PnutsFunction {

    public parseNumberFormat(){
        super("parseNumberFormat");
    }

    public boolean defined(int narg){
        return (narg == 2);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length != 2 ) {
            throw new PnutsException( "引数が足りません",context ) ;
        }
        if( args[ 0 ] == null || (args[ 0 ] instanceof String) == false ||
            args[ 1 ] == null || (args[ 1 ] instanceof String) == false ) {
            throw new PnutsException( "第一引数,第二引数は文字列(String)で指定してください",context ) ;
        }
        try {
            return ModUtil.getNumberFormat( (String)args[0] ).parse( (String)args[1] ) ;
        } catch( Exception e ) {
            throw new PnutsException( e,context ) ;
        }
    }

    public String toString(){
        return "function parseNumberFormat(string,string)";
    }
}
