package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.pnuts.util.*;
import org.maachang.*;

/*
 * randomSeed(long)
 */
public class randomSeed extends PnutsFunction {

    public randomSeed(){
        super("randomSeed");
    }

    public boolean defined(int narg){
        return (narg == 1);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length <= 0 ) {
            return Boolean.TRUE ;
        }
        Object o = args[ 0 ] ;
        if( o != null ) {
            XorRandom rand = ModUtil.getRandom() ;
            if( o instanceof Long ) {
                rand.setSeed( ((Long)o).longValue() ) ;
            }
            else if( o instanceof Integer ) {
                rand.setSeed( ( long )((Integer)o).intValue() ) ;
            }
        }
        return null ;
    }

    public String toString(){
        return "function randomSeed(long)";
    }
}
