package org.maachang.seabass.mod.base ;

import pnuts.lang.*;
import org.maachang.*;

/*
 * regexp(string,string)
 */
public class regexp extends PnutsFunction {

    public regexp(){
        super("regexp");
    }

    public boolean defined(int narg){
        return (narg == 2);
    }

    protected Object exec(Object[] args, Context context){
        if( args == null || args.length != 2 ) {
            throw new PnutsException( "引数が足りません",context ) ;
        }
        if( args[ 0 ] == null || (args[ 0 ] instanceof String) == false ||
            args[ 1 ] == null ) {
            throw new PnutsException( "引数は文字列(String)で指定してください",context ) ;
        }
        return ModUtil.isPerl5Util_Match((String)args[0],ModUtil.parseString( args[ 1 ] )) ? Boolean.TRUE : Boolean.FALSE ;
    }

    public String toString(){
        return "function regexp(string,string)";
    }
}
