package org.pnuts.util;

import java.io.Serializable;
//import java.util.concurrent.atomic.AtomicInteger ;
import java.util.concurrent.locks.ReentrantLock ;
import java.util.concurrent.locks.Lock ;

/**
 * PnutsLock.
 * 
 * @version 2008/12/11
 * @author masahito suzuki
 * @since Seabass 1.00
 */
public class PnutsLock implements Serializable {
    private final Lock sync = new ReentrantLock() ;
    
    public void lock() {
        sync.lock() ;
    }
    
    public void unlock() {
        sync.unlock() ;
    }
//    private static final int DEF_SPIN_COUNT = 10000 ;
//    private final AtomicInteger c = new AtomicInteger( 0 ) ;
//    private int spin = 0 ;
//    
//    /**
//     * コンストラクタ.
//     */
//    public PnutsLock() {
//        this( 0 ) ;
//    }
//    
//    /**
//     * コンストラクタ.
//     * @param spin spinロック値を設定します.
//     */
//    public PnutsLock( int spin ) {
//        if( spin <= 0 ) {
//            spin = DEF_SPIN_COUNT ;
//        }
//        this.spin = spin ;
//    }
//    
//    /**
//     * ロック処理.
//     */
//    public void lock() {
//        if( !c.compareAndSet( 0,1 ) ) {
//            // spinlock.
//            for( int i = 0 ; i < spin ; i ++ ) {
//                if( c.compareAndSet( 0,1 ) ) {
//                    return ;
//                }
//            }
//            // spinlockが一定ループ以上の場合は、WaitしたLock解除待ち.
//            try {
//                while( true ) {
//                    Thread.sleep( 1 ) ;
//                    if( c.compareAndSet( 0,1 ) ) {
//                        return ;
//                    }
//                }
//            } catch( Exception e ) {
//            }
//        }
//    }
//    
//    /**
//     * アンロック処理.
//     */
//    public void unlock() {
//        if( !c.compareAndSet( c.get(),0 ) ) {
//            while( true ) {
//                if( c.compareAndSet( c.get(),0 ) ) {
//                    return ;
//                }
//            }
//        }
//    }
//    
//    /**
//     * spinロック値を取得.
//     * @return int spinロック値が返されます.
//     */
//    public int getSpin() {
//        return spin ;
//    }
}
