package pnuts.lang;

import org.pnuts.util.* ;

public abstract class ContextStack {
    private ContextStack() {}
    
    public static final boolean push( Object o ) {
        return pnuts.lang.Context.getCurrentContext().getThisStack().push( o ) ;
    }
    
    public static final Object pop() {
        return pnuts.lang.Context.getCurrentContext().getThisStack().pop() ;
    }
    
    public static final Object peek() {
        return pnuts.lang.Context.getCurrentContext().getThisStack().peek() ;
    }
    
    public static final int size() {
        return pnuts.lang.Context.getCurrentContext().getThisStack().size() ;
    }
    
    public static final boolean push( pnuts.lang.Context ctx,Object o ) {
        return ctx.getThisStack().push( o ) ;
    }
    
    public static final Object pop( pnuts.lang.Context ctx ) {
        return ctx.getThisStack().pop() ;
    }
    
    public static final Object peek( pnuts.lang.Context ctx ) {
        return ctx.getThisStack().peek() ;
    }
    
    public static final int size( pnuts.lang.Context ctx ) {
        return ctx.getThisStack().size() ;
    }
}
