#include "allInclude.h"

DWORD dwErr = 0;
BOOL bDebug = FALSE;

void setDwErr( DWORD e ) {
    dwErr = e ;
}
DWORD getDwErr() {
    return dwErr ;
}
void setDebug( BOOL d ) {
    bDebug = d ;
}
BOOL getDebug() {
    return bDebug ;
}

// T[rX擾.
char __svName[ 128 ] ;
BOOL __isSvName = FALSE ;
char* serviceName() {
    if( __isSvName == FALSE ) {
        CIni ini ;
        ini.create( INI_FILE_NAME ) ;
        char s[ 64 ] ;
        // INI擾.
        if( ini.get( s,64,SECTION,"service" ) == FALSE ) {
            getProjectName( s ) ;
        }
        sprintf( __svName,"%s (%s)\0",SZSERVICENAME,s ) ;
        __isSvName = TRUE ;
    }
    return __svName ;
}

//
//  FUNCTION: AddToMessageLog(LPTSTR lpszMsg)
//
//  PURPOSE: Allows any thread to log an error message
//
//  PARAMETERS:
//    lpszMsg - text for message
//
//  RETURN VALUE:
//    none
//
//  COMMENTS:
//
VOID AddToMessageLog(LPTSTR lpszMsg)
{
    TCHAR   szMsg[256];
    HANDLE  hEventSource;
    LPTSTR  lpszStrings[2];

    if ( !bDebug )
    {
        dwErr = GetLastError();

        // Use event logging to log the error.
        //
        hEventSource = RegisterEventSource(NULL, TEXT(serviceName()));

        _stprintf(szMsg, TEXT("%s error: %d"), TEXT(serviceName()), dwErr);
        lpszStrings[0] = szMsg;
        lpszStrings[1] = lpszMsg;

        if (hEventSource != NULL) {
            ReportEvent(hEventSource, // handle of event source
                EVENTLOG_ERROR_TYPE,  // event type
                0,                    // event category
                0,                    // event ID
                NULL,                 // current user's SID
                2,                    // strings in lpszStrings
                0,                    // no bytes of raw data
                (const char **)lpszStrings,          // array of error strings
                NULL);                // no raw data

            (VOID) DeregisterEventSource(hEventSource);
        }
        hEventSource = NULL ;
    }
    
}

// CxgOo.
VOID AddToMessageLogInformation(LPTSTR lpszMsg) {
    TCHAR   szMsg[256];
    HANDLE  hEventSource;
    LPTSTR  lpszStrings[2];

    hEventSource = RegisterEventSource(NULL, TEXT(serviceName()));

    strcpy(szMsg,"Information");

    lpszStrings[0] = szMsg;
    lpszStrings[1] = lpszMsg;

    if(hEventSource != NULL) {
        ReportEvent(hEventSource, // handle of event source
            EVENTLOG_INFORMATION_TYPE,  // event type
            0,                    // event category
            0,                    // event ID
            NULL,                 // current user's SID
            2,                    // strings in lpszStrings
            0,                    // no bytes of raw data
            (const char **)lpszStrings,          // array of information strings
            NULL);                // no raw data

        (VOID) DeregisterEventSource(hEventSource);
    }
    hEventSource = NULL ;
}
