// Java(SeaBass)Npwb_t@C.

#ifndef _STARTUP_JAVA_H_INCLUDE_
#define _STARTUP_JAVA_H_INCLUDE_

#include <direct.h>
#include <process.h>
#include "include/fileList.h"

#define CMD_LENGTH 65535
#define ENV_NAME 4096
#define PATH_NAME 261
#define CLASS_PATH 32767

//
// Java(SeaBass)NT[rXR}h.
// bpath        : {pXݒ肵܂.
//                w肵ȂꍇNULLݒ肷邱ƂŁÃ݂pX蓖Ă܂.
// bpath        : JavaHomepXݒ肵܂.
//                w肵ȂꍇNULLݒ肷邱ƂŁAϐ[JAVA_HOME]̃pX蓖Ă܂.
// path         : vWFNgpXݒ肵܂.
// minMemory    : Javaŗpŏ̃l(PʂMByte)ݒ肵܂.
// maxMemory    : javaŗpő̃l(PʂMByte)ݒ肵܂.
// log4jXMLPath : log4j.xml̏ݏꏊ΃pXŎw肵܂.
//                w肵Ȃꍇ(NULL)͔Cӂ̏ɏ]ꏊƂȂ܂.
// execClass    : sΏۂ̃pbP[W{NXݒ肵܂.
// args         : Javaɓnݒ肵܂.
// return int   : [0]ȊO͎s.
//
inline int startupJavaService( char* bpath,char* javaPath,char* path,int minMemory,int maxMemory,
    char* log4jXMLPath,char* execClass,char* args ) {
    
    char cmd[ CMD_LENGTH+1 ] ;
    char javaEnvName[ ENV_NAME+1 ] ;
    char basePath[ PATH_NAME+1 ] ;
    char projPath[ PATH_NAME+1 ] ;
    char classPath[ CLASS_PATH+1 ] ;
    
    memset( cmd,0,CMD_LENGTH+1 ) ;
    memset( javaEnvName,0,ENV_NAME+1 ) ;
    memset( basePath,0,PATH_NAME+1 ) ;
    memset( projPath,0,PATH_NAME+1 ) ;
    memset( classPath,0,CLASS_PATH+1 ) ;
    
    // vWFNgpX`FbN.
    if( endsWith( path,"\\" ) == FALSE ) {
        joinString( projPath,path,"\\" ) ;
    }
    else {
        sprintf( projPath,"%s\0",path ) ;
    }
    
    if( javaPath == NULL ) {
        // javaNpX擾.
        getENV( javaEnvName,"JAVA_HOME" ) ;
        if( strlen( javaEnvName ) <= 0 ) {
            return -1 ;// JAVA_HOME݂Ȃ.
        }
    }
    else {
        sprintf( javaEnvName,"%s\0",javaPath ) ;
    }
    
    if( endsWith( javaEnvName,"\\" ) == FALSE ) {
        joinString( javaEnvName,javaEnvName,"\\bin\\javaw.exe" ) ;
    }
    else {
        joinString( javaEnvName,javaEnvName,"bin\\javaw.exe" ) ;
    }
    
    // {pXݒ肷.
    if( bpath == NULL ) {
        sprintf( basePath,"%s\0",path ) ;
    }
    else {
        sprintf( basePath,"%s\0",bpath ) ;
    }
    
    /////////////////////////
    // NXpX擾.
    /////////////////////////
    
    // SeaBass{pXJARt@CQ擾.
    findTargetPath( classPath,joinPathFile_s( basePath,"lib" ) ) ;
    
    // JgpXJARfBNgQ擾.
    findTargetPath( classPath,joinPathFile_s( path,"jar" ) ) ;
    
    // RtBOt@CNXpXɒǉ.
    sprintf( classPath,"%s;%s\0",classPath,joinPathFile_s( path,"conf" ) ) ;
    
    ///////////////////////
    // R}heo^.
    ///////////////////////
    
    // T[os.
    sprintf( cmd,"-server\0" ) ;
    
    // NXpXݒ.
    sprintf( cmd,"%s -classpath %s\0",cmd,classPath ) ;
    
    // ݒ.
    if( minMemory >= 32 ) {
        sprintf( cmd,"%s -Xms%dm\0",cmd,minMemory ) ;
        if( maxMemory >= 32 ) {
            sprintf( cmd,"%s -Xmx%dm\0",cmd,maxMemory ) ;
        }
        else {
            sprintf( cmd,"%s -Xmx%dm\0",cmd,minMemory ) ;
        }
    }
    else if( maxMemory >= 32 ) {
        sprintf( cmd,"%s -Xms%dm\0",cmd,maxMemory ) ;
        sprintf( cmd,"%s -Xmx%dm\0",cmd,maxMemory ) ;
    }
    
    // log4j.
    if( log4jXMLPath == NULL ) {
        sprintf( cmd,"%s -Dlog4j.configuration=file:%s\0",cmd,joinPathFile_s( path,"conf\\log4j.xml" ) ) ;
    }
    else {
        sprintf( cmd,"%s -Dlog4j.configuration=file:%s\0",cmd,log4jXMLPath ) ;
    }
    // ̑̃IvV.
    sprintf( cmd,"%s -Djava.awt.headless=true\0",cmd ) ;
    
    // JavasNX.
    sprintf( cmd,"%s %s\0",cmd,execClass ) ;
    
    // Javap[^ݒ.
    if( args != NULL && strlen( args ) > 0 ) {
        sprintf( cmd,"%s %s\0",cmd,args ) ;
    }
    
    // javas.
    _chdir( projPath ) ;
    _spawnlp( _P_NOWAIT,javaEnvName,cmd,NULL,NULL ) ;
    return 0 ;
}

// vZXNfBNg擾.
static char __currentDir[ 261 ] ;
static BOOL __isCurrentDir = FALSE ;
inline char* getCurrentPath() {
    if( __isCurrentDir ) {
        return __currentDir ;
    }
    GetModuleFileName(NULL, __currentDir, 261) ;
    int e = lastIndexOf( __currentDir,"\\",-1 ) ;
    if( e != -1 ) {
        subString( __currentDir,__currentDir,0,e ) ;
    }
    __isCurrentDir = TRUE ;
    return __currentDir ;
}

// vWFNgfBNgpX擾.
inline BOOL getProjectPath( char* out ) {
    if( out == NULL ) {
        return FALSE ;
    }
    char* c = getCurrentPath() ;
    int e = lastIndexOf( c,"\\",-1 ) ;
    subString( out,c,0,e ) ;
    return TRUE ;
}

// vWFNgfBNg擾.
inline BOOL getProjectName( char* out ) {
    if( out == NULL ) {
        return FALSE ;
    }
    char* c = getCurrentPath() ;
    int s = -1 ;
    int e = lastIndexOf( c,"\\",-1 ) ;
    s = lastIndexOf( c,"\\",e-1 ) ;
    subString( out,c,s+1,e ) ;
    return TRUE ;
}


#endif // _STARTUP_JAVA_H_INCLUDE_
