// [eBeBn.

#ifndef _UTIL_H_INCLUDE_
#define _UTIL_H_INCLUDE_

#include <windows.h>
#include <stdlib.h>
#include <stdio.h>

// bZ[W{bNX.
inline alert( const char* message ) {
    MessageBox(NULL,TEXT(message),"SeaBass",MB_OK ) ;
}

// wϐ擾.
inline void getENV( char* out,char* name ) {
    char* c = getenv( name ) ;
    out[ 0 ] = '\0' ;
    if( c != NULL && strlen( c ) > 0 ) {
        sprintf( out,"%s\0",c ) ;
    }
}

// wϐ擾.
inline char* getENV( char* name ) {
    return getenv( name ) ;
}


// A.
inline void joinString( char* out,char* src,char* join ) {
    sprintf( out,"%s%s\0",src,join ) ;
}

// A(static).
static char __js_s[ 32767 ] ;
inline char* joinString_s( char* src,char* join ) {
    memset( __js_s,0,32767 ) ;
    sprintf( __js_s,"%s%s\0",src,join ) ;
    return __js_s ;
}

// IndexOf.
inline int indexOf( const char* string,const char* check,int index ) {
    if( index <= 0 ) {
        index = 0 ;
    }
    int len = strlen( string ) ;
    int checkLen = strlen( check ) ;
    int pnt = 0 ;
    int ret = -1 ;
    for( int i = index ; i < len ; i ++ ) {
        if( pnt == 0 ) {
            if( string[ i ] == check[ 0 ] ) {
                pnt = 1 ;
                ret = i ;
                if( pnt >= checkLen ) {
                    return ret ;
                }
                continue ;
            }
        }
        else {
            if( string[ i ] == check[ pnt ] ) {
                pnt ++ ;
                if( pnt >= checkLen ) {
                    return ret ;
                }
            }
            else {
                pnt = 0 ;
                ret = -1 ;
            }
        }
    }
    return -1 ;
}

// LastIndexOf.
inline int lastIndexOf( const char* string,const char* check,int index ) {
    int len = strlen( string ) ;
    if( index <= 0 || len <= index ) {
        index = len-1 ;
    }
    int checkLen = strlen( check ) ;
    int pnt = 0 ;
    int ret = -1 ;
    for( int i = index ; i >= 0 ; i -- ) {
        if( pnt == 0 ) {
            if( string[ i ] == check[ 0 ] ) {
                pnt = 1 ;
                ret = i ;
                if( pnt >= checkLen ) {
                    return ret ;
                }
                continue ;
            }
        }
        else {
            if( string[ i ] == check[ pnt ] ) {
                pnt ++ ;
                if( pnt >= checkLen ) {
                    return ret ;
                }
            }
            else {
                pnt = 0 ;
                ret = -1 ;
            }
        }
    }
    return -1 ;
}

// StartsWith.
inline BOOL startsWith( const char* string,const char* check ) {
    int len = strlen( string ) ;
    int checkLen = strlen( check ) ;
    if( checkLen > len ) {
        return FALSE ;
    }
    for( int i = 0 ; i < checkLen ; i ++ ) {
        if( string[ i ] != check[ i ] ) {
            return FALSE ;
        }
    }
    return TRUE ;
}

// EndsWith.
inline BOOL endsWith( const char* string,const char* check ) {
    int len = strlen( string ) ;
    int checkLen = strlen( check ) ;
    if( checkLen > len ) {
        return FALSE ;
    }
    for( int i = len - checkLen,j = 0 ; i < len ; i ++,j ++ ) {
        if( string[ i ] != check[ j ] ) {
            return FALSE ;
        }
    }
    return TRUE ;
}

// substring.
inline BOOL subString( char* out,const char* string,int start,int end ) {
    if( string == NULL ) {
        return FALSE ;
    }
    int len = strlen( string ) ;
    if( start <= 0 ) {
        start = 0 ;
    }
    if( end <= 0 ) {
        end = len-start ;
    }
    int lenI = end - start ;
    for( int i = 0 ; i < lenI ; i ++ ) {
        out[ i ] = string[ i+start ] ;
    }
    out[ lenI ] = '\0' ;
    return TRUE ;
}

#endif // _UTIL_H_INCLUDE_
