// SeaBassT[rXp.
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <process.h>
#include <tchar.h>

#include "allInclude.h"

#define INI_VAL_LEN 260
#define WAIT_TIME 50
#define ARGS 4096

// this event is signalled when the
// service should end
//
HANDLE  hServerStopEvent = NULL;

// INIt@C擾.
inline BOOL loadIni( char* path,CIni* ini ) {
    char projPath[ PATH_NAME+1 ] ;
    memset( projPath,0,PATH_NAME+1 ) ;
    joinString( projPath,path,"\\" ) ;
    joinString( projPath,projPath,INI_FILE_NAME ) ;
    return ini->create(  projPath ) ;
}

// T[rXJn.
VOID ServiceStart (DWORD dwArgc, LPTSTR *lpszArgv) {
    char tmp[ 32+1 ] ;
    char path[ INI_VAL_LEN+1 ] ;
    char tmpLog4j[ INI_VAL_LEN+1 ] ;
    char args[ ARGS+1 ] ;
    char javaEnvName[ ENV_NAME+1 ] ;
    char basePath[ PATH_NAME+1 ] ;
    char* log4j = NULL ;
    char* javaHome = NULL ;
    char* seabassHome = NULL ;
    int min = -1 ;
    int max = -1 ;
    int res = 0 ;
    ///////////////////////////////////////////////////
    //
    // Service initialization
    //
    
    memset( tmp,0,32+1 ) ;
    memset( path,0,INI_VAL_LEN+1 ) ;
    memset( tmpLog4j,0,INI_VAL_LEN+1 ) ;
    memset( args,0,ARGS+1 ) ;
    memset( javaEnvName,0,ENV_NAME+1 ) ;
    memset( basePath,0,PATH_NAME+1 ) ;
    
    // vWFNgpX擾.
    getProjectPath( path ) ;
    
    // init@C[h.
    CIni ini ;
    if( loadIni( path,&ini ) == FALSE ) {
        AddToMessageLog(TEXT("SeaBassINIt@Cǂݍ݂Ɏs܂"));
        goto cleanup ;
    }
    
    //@T[rXIǂ̃Cxg쐬܂
    hServerStopEvent = CreateEvent(
        NULL,    // no security attributes
        TRUE,    // manual reset event
        FALSE,   // not-signalled
        NULL);   // no name
    
    if ( hServerStopEvent == NULL) {
        goto cleanup;
    }
    
    // INI擾.
    if( ini.get( tmpLog4j,INI_VAL_LEN,SECTION,"log4j" ) ) {
        log4j = tmpLog4j ;
    }
    if( ini.get( tmp,32,SECTION,"min" ) ) {
        min = atoi( tmp ) ;
    }
    if( ini.get( tmp,32,SECTION,"max" ) ) {
        max = atoi( tmp ) ;
    }
    if( min <= -1 && max <= -1 ) {
        min = 128 ;
    }
    if( ini.get( args,ARGS,SECTION,"args" ) == FALSE ) {
        args[ 0 ] = '\0' ;
    }
    
    // INI`́AJAVA_HOME擾.
    if( ini.get( javaEnvName,ENV_NAME,SECTION,"java_home" ) ) {
        javaHome = javaEnvName ;
    }
    
    // INI`́ASEABASS_HOME擾.
    if( ini.get( basePath,PATH_NAME,SECTION,"seabass_path" ) ) {
        seabassHome = basePath ;
    }
    
    // javas.
    res = startupJavaService( seabassHome,javaHome,path,min,max,log4j,"org.maachang.seabass.Startup",args ) ;
    if( res <= -1 ) {
        if( res == -1 ) {
            AddToMessageLog(TEXT("ϐ[JAVA_HOME]`Ă܂"));
            goto errorToEnd ;
        }
        else if( res <= -2 ) {
            char _tmp[512] ;
            sprintf( _tmp,"JavasG[(%s)%0",res ) ;
            AddToMessageLog(TEXT(_tmp));
            goto errorToEnd ;
        }
        goto cleanup ;
    }
    
    // report the status to the service control manager.
    //  T[rXuJnv̏Ԃɐݒ
    //
    if (!ReportStatusToSCMgr(
        SERVICE_RUNNING,       // service state
        NO_ERROR,              // exit code
        0)){                    // wait hint
        goto cleanup;
    }
    
    //CxgO֊JnbZ[Wo
    AddToMessageLogInformation(TEXT("SeaBass Service Jn"));
    
    // Iҋ@.
    while(1){
        Sleep(WAIT_TIME);
        //~ǂ̔AIĂ΃[v甲
        if( WAIT_TIMEOUT != WaitForSingleObject(hServerStopEvent,WAIT_TIME) ){
            AddToMessageLogInformation(TEXT("SeaBass Service ~"));
            break;
        }
    }
    
    if (hServerStopEvent) {
        CloseHandle(hServerStopEvent);
    }
    return ;

cleanup:
    // 炩̏Ŏsꍇ.
    AddToMessageLog(TEXT("SeaBass Service JnɎs܂"));

errorToEnd:
    if (hServerStopEvent) {
        CloseHandle(hServerStopEvent);
    }

}

// ~.
VOID ServiceStop() {
    char path[ INI_VAL_LEN ] ;
    char* log4j = NULL ;
    char tmpLog4j[ INI_VAL_LEN ] ;
    char javaEnvName[ ENV_NAME ] ;
    char basePath[ PATH_NAME ] ;
    char* javaHome = NULL ;
    char* seabassHome = NULL ;
    int res = 0 ;
    
    // vWFNgpX擾.
    getProjectPath( path ) ;

    // init@C[h.
    CIni ini ;
    if( loadIni( path,&ini ) == FALSE ) {
        AddToMessageLog(TEXT("SeaBassINIt@Cǂݍ݂Ɏs܂"));
        goto error ;
    }
    
    // INI擾.
    if( ini.get( tmpLog4j,INI_VAL_LEN,SECTION,"log4j" ) ) {
        log4j = tmpLog4j ;
    }
    
    // INI`́AJAVA_HOME擾.
    if( ini.get( javaEnvName,ENV_NAME,SECTION,"java_home" ) ) {
        javaHome = javaEnvName ;
    }
    
    // INI`́ASEABASS_HOME擾.
    if( ini.get( basePath,PATH_NAME,SECTION,"seabass_path" ) ) {
        seabassHome = basePath ;
    }
    
    // java(~)s.
    startupJavaService( seabassHome,javaHome,path,64,64,log4j,"org.maachang.seabass.Shutdown",NULL ) ;
    
    //~ɐݒ
    if ( hServerStopEvent ) {
        SetEvent(hServerStopEvent);
    }
    return ;
    
error :
    // 炩̏Ŏsꍇ.
    AddToMessageLog(TEXT("SeaBass Service ~Ɏs܂"));
}

